---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
    creationTimestamp: "2020-05-26T14:11:06Z"
    generation: 1
    labels:
      name: cluster-storage-operator
      pod-template-hash: 5ff5c5766
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"ec4cdb8c-c3c6-437a-a64f-8b90309d61a1"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:replicas: {}
          f:selector:
            f:matchLabels:
              .: {}
              f:name: {}
              f:pod-template-hash: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:name: {}
                f:pod-template-hash: {}
            f:spec:
              f:containers:
                k:{"name":"cluster-storage-operator"}:
                  .: {}
                  f:command: {}
                  f:env:
                    .: {}
                    k:{"name":"OPERATOR_NAME"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"POD_NAME"}:
                      .: {}
                      f:name: {}
                      f:valueFrom:
                        .: {}
                        f:fieldRef:
                          .: {}
                          f:apiVersion: {}
                          f:fieldPath: {}
                    k:{"name":"RELEASE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"WATCH_NAMESPACE"}:
                      .: {}
                      f:name: {}
                      f:valueFrom:
                        .: {}
                        f:fieldRef:
                          .: {}
                          f:apiVersion: {}
                          f:fieldPath: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:ports:
                    .: {}
                    k:{"containerPort":60000,"protocol":"TCP"}:
                      .: {}
                      f:containerPort: {}
                      f:name: {}
                      f:protocol: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:nodeSelector:
                .: {}
                f:node-role.kubernetes.io/master: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T14:23:27Z"
    name: cluster-storage-operator-5ff5c5766
    namespace: openshift-cluster-storage-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: cluster-storage-operator
      uid: ec4cdb8c-c3c6-437a-a64f-8b90309d61a1
    resourceVersion: "11624"
    selfLink: /apis/apps/v1/namespaces/openshift-cluster-storage-operator/replicasets/cluster-storage-operator-5ff5c5766
    uid: 7dc8a5e8-f835-4e47-ab00-5eeab3c11fc4
  spec:
    replicas: 1
    selector:
      matchLabels:
        name: cluster-storage-operator
        pod-template-hash: 5ff5c5766
    template:
      metadata:
        creationTimestamp: null
        labels:
          name: cluster-storage-operator
          pod-template-hash: 5ff5c5766
      spec:
        containers:
        - command:
          - cluster-storage-operator
          env:
          - name: RELEASE_VERSION
            value: 0.0.1-2020-05-26-050349
          - name: WATCH_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          - name: POD_NAME
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.name
          - name: OPERATOR_NAME
            value: storage
          image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:696da8e9278ccc799c824518e41a4a8f0e210824ad341c60ede4bdf04cfac7b2
          imagePullPolicy: IfNotPresent
          name: cluster-storage-operator
          ports:
          - containerPort: 60000
            name: metrics
            protocol: TCP
          resources:
            requests:
              cpu: 10m
              memory: 20Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
        dnsPolicy: ClusterFirst
        nodeSelector:
          node-role.kubernetes.io/master: ""
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: cluster-storage-operator
        serviceAccountName: cluster-storage-operator
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/master
          operator: Exists
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      config.openshift.io/inject-proxy: operator
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
      exclude.release.openshift.io/internal-openshift-hosted: "true"
    creationTimestamp: "2020-05-26T14:11:17Z"
    generation: 1
    labels:
      app: csi-snapshot-controller-operator
      pod-template-hash: 57c4bb8b4f
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:config.openshift.io/inject-proxy: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:labels:
            .: {}
            f:app: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"05ad07dc-5e3b-409e-9a65-baf1ecd16eab"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:replicas: {}
          f:selector:
            f:matchLabels:
              .: {}
              f:app: {}
              f:pod-template-hash: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:app: {}
                f:pod-template-hash: {}
              f:name: {}
            f:spec:
              f:containers:
                k:{"name":"operator"}:
                  .: {}
                  f:args: {}
                  f:env:
                    .: {}
                    k:{"name":"OPERAND_IMAGE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERAND_IMAGE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERATOR_IMAGE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"POD_NAME"}:
                      .: {}
                      f:name: {}
                      f:valueFrom:
                        .: {}
                        f:fieldRef:
                          .: {}
                          f:apiVersion: {}
                          f:fieldPath: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                  f:volumeMounts:
                    .: {}
                    k:{"mountPath":"/var/run/configmaps/config"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
              f:dnsPolicy: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
              f:volumes:
                .: {}
                k:{"name":"config"}:
                  .: {}
                  f:configMap:
                    .: {}
                    f:defaultMode: {}
                    f:name: {}
                  f:name: {}
        f:status:
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T14:11:18Z"
    name: csi-snapshot-controller-operator-57c4bb8b4f
    namespace: openshift-cluster-storage-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: csi-snapshot-controller-operator
      uid: 05ad07dc-5e3b-409e-9a65-baf1ecd16eab
    resourceVersion: "1511"
    selfLink: /apis/apps/v1/namespaces/openshift-cluster-storage-operator/replicasets/csi-snapshot-controller-operator-57c4bb8b4f
    uid: af46a6ea-0224-4f66-a235-f19eb3df7e23
  spec:
    replicas: 1
    selector:
      matchLabels:
        app: csi-snapshot-controller-operator
        pod-template-hash: 57c4bb8b4f
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: csi-snapshot-controller-operator
          pod-template-hash: 57c4bb8b4f
        name: csi-snapshot-controller-operator
      spec:
        containers:
        - args:
          - start
          - -v
          - "5"
          - --config=/var/run/configmaps/config/operator-config.yaml
          env:
          - name: OPERAND_IMAGE
            value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:e69949554a71f58b02984e14eecbad4a79812c7295cac1dda1382751b5bf818f
          - name: OPERATOR_IMAGE_VERSION
            value: 0.0.1-2020-05-26-050349
          - name: OPERAND_IMAGE_VERSION
            value: 0.0.1-2020-05-26-050349
          - name: POD_NAME
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.name
          image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:49d7116d4ab6b2ad0f19eccb1a416db8a4a307028eebeff2451f200d70c31481
          imagePullPolicy: IfNotPresent
          name: operator
          resources:
            requests:
              cpu: 10m
              memory: 50Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
          volumeMounts:
          - mountPath: /var/run/configmaps/config
            name: config
        dnsPolicy: ClusterFirst
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        serviceAccount: csi-snapshot-controller-operator
        serviceAccountName: csi-snapshot-controller-operator
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
        volumes:
        - configMap:
            defaultMode: 440
            name: csi-snapshot-controller-operator-config
          name: config
  status:
    fullyLabeledReplicas: 1
    observedGeneration: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "54366"
  selfLink: /apis/apps/v1/namespaces/openshift-cluster-storage-operator/replicasets
